%define realname openmsx

%bcond_with check

Name:           openttd-%{realname}
Version:        0.4.2
Release:        %mkrel 2
Summary:        OpenMSX music replacement set for OpenTTD

Group:          Games/Strategy
License:        GPLv2
URL:            https://github.com/OpenTTD/OpenMSX
Source0:        https://cdn.openttd.org/openmsx-releases/%{version}/openmsx-%{version}-source.tar.xz
Patch1:		openmsx-unix2dos.patch
BuildArch:      noarch
BuildRequires:  dos2unix
BuildRequires:	grfcodec
BuildRequires:  python3

%description
OpenMSX is an open source replacement for the original Transport Tycoon
Deluxe (TTD) music.

%prep
%autosetup -p1 -n %{realname}-%{version}-source

# python shebangs
%py3_shebang_fix ./scripts/

%build
%make_build _V= _E=echo

%install
# https://github.com/OpenTTD/OpenTTD/blob/master/docs/directory_structure.md#files-in-tar-archives
#
# "OpenTTD can read files that are in an uncompressed
# tar (archive), which makes it easy to bundle files belonging to the same
# script, NewGRF or base set. Music sets are the only exception as they cannot
# be stored in a tar file due to being played by external applications."

mkdir -p %{buildroot}%{_gamesdatadir}/openttd/baseset
cp -a openmsx-%{version} %{buildroot}%{_gamesdatadir}/openttd/baseset/

%if %{with check}
%check
make check _V= _E=echo
%endif

%files
%doc docs/*.txt
%{_gamesdatadir}/openttd/baseset/%{realname}-%{version}/


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.4.2-2.mga9
+ Revision: 1820774
- Mageia 9 Mass Rebuild

* Sun Nov 07 2021 wally <wally> 0.4.2-1.mga9
+ Revision: 1754400
- new version 0.4.2

* Mon Apr 05 2021 wally <wally> 0.4.0-1.mga9
+ Revision: 1713481
- new version 0.4.0
- music set can't be shipped as tar archive
- use python3 patches from upstream
- install data files to new location

* Sun Apr 19 2020 danf <danf> 0.3.1-10.mga8
+ Revision: 1569926
- Switch scripts to Python 3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.1-9.mga7
+ Revision: 1265399
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 umeabot <umeabot> 0.3.1-8.mga6
+ Revision: 929481
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-7.mga5
+ Revision: 744001
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-6.mga5
+ Revision: 683254
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.1-5.mga4
+ Revision: 508834
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-4.mga3
+ Revision: 362176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 dams <dams> 0.3.1-3.mga3
+ Revision: 257714
- clean specfile

* Sun Jan 09 2011 wally <wally> 0.3.1-2.mga1
+ Revision: 1690
- remove old conflicts
- imported package openttd-openmsx


* Tue Aug 10 2010 Jani Välimaa <wally@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 568319
- new version 0.3.1
- fix description and source url

* Fri Jul 16 2010 Jani Välimaa <wally@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 554355
- new version 0.3.0

* Tue Apr 13 2010 Jani Välimaa <wally@mandriva.org> 0.2.1-1mdv2010.1
+ Revision: 534622
- import openttd-openmsx


